%define upstream_name    HTTP-Lite
%define upstream_version 2.44

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Lightweight HTTP implementation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(Socket) >= 1.300.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
HTTP::Lite is a stand-alone lightweight HTTP/1.1 implementation
for perl.  It is not intended as a replacement for the
fully-features LWP module.  Instead, it is intended for use in
situations where it is desirable to install the minimal number of
modules to achieve HTTP support, or where LWP is not a good
candidate due to CPU overhead, such as slower processors.
HTTP::Lite is also significantly faster than LWP.

HTTP::Lite is ideal for CGI (or mod_perl) programs or for bundling
for redistribution with larger packages where only HTTP GET and
POST functionality are necessary.

HTTP::Lite supports basic POST and GET operations only.  As of
0.2.1, HTTP::Lite supports HTTP/1.1 and is compliant with the Host
header, necessary for name based virtual hosting.  Additionally,
HTTP::Lite now supports Proxies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.440.0-6.mga9
+ Revision: 1817145
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.440.0-5.mga8
+ Revision: 1495023
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.440.0-4.mga7
+ Revision: 1268521
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.440.0-3.mga6
+ Revision: 1028438
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.440.0-2.mga6
+ Revision: 967374
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 2.440.0-1.mga6
+ Revision: 848782
- update to 2.44

* Sun Oct 19 2014 umeabot <umeabot> 2.430.0-4.mga5
+ Revision: 790677
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.430.0-3.mga5
+ Revision: 749326
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.430.0-2.mga5
+ Revision: 685004
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.430.0-1.mga5
+ Revision: 588410
- update to 2.43

* Sat Oct 19 2013 umeabot <umeabot> 2.420.0-2.mga4
+ Revision: 530329
- Mageia 4 Mass Rebuild

* Mon Jul 22 2013 sander85 <sander85> 2.420.0-1.mga4
+ Revision: 457261
- update to 2.42

* Mon Jul 22 2013 sander85 <sander85> 2.410.0-1.mga4
+ Revision: 457084
- update to 2.41

* Sun Jan 13 2013 umeabot <umeabot> 2.400.0-2.mga3
+ Revision: 368288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 2.400.0-1.mga3
+ Revision: 286183
- update to 2.4

* Tue Jan 18 2011 jquelin <jquelin> 2.300.0-1.mga1
+ Revision: 22019
- cleaning spec file
- imported package perl-HTTP-Lite


* Fri Dec 17 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.300.0-1mdv2011.0
+ Revision: 622698
- update to new version 2.3

* Sun Oct 17 2010 Thierry Vignaud <tv@mandriva.org> 2.200.0-2mdv2011.0
+ Revision: 586146
- fix description

* Sat Oct 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.200.0-1mdv2011.0
+ Revision: 586065
- import perl-HTTP-Lite

